Subject: bug#39390: 28.0.50; prettify-symbols-mode confuses display when start/end faces are different

From: Raphael 'kena' Poss <[email-masked]>
Date: Mon, 17 Feb 2020 11:06:52 -0500

On 17-02-2020 10:59, Tassilo Horn wrote:

> But then the question is how the composition should be displayed?  In
> your example where you replace "setq abc" with the LAST QUARTER MOON
> WITH FACE Unicode character, should that have font-lock-keyword-face
> (like setq) or the default face (like abc)?

I honestly don't have a preference. I don't mind either the first face,
the last one, or some other in the middle. I don't want to be picky
here, the first good next step would be to ensure that the display
refreshes are not erratic and do not corrupt the display.

Regards

-- 
Raphael 'kena' Poss